# Namespace hcap.checkout

hcap.checkout

- Defined in: hcap-1.24.6.5901.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| hcap.checkout

## Method Summary

## Namespace Detail

hcap.checkout

## Method Detail

- <static> hcap.checkout.requestCheckout(param)
  Restores checkout snapshot items and clear system-dependent cache and history.
  Rebooting system is strongly recommended after checking out is done.

      hcap.checkout.requestCheckout({
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.19.0
  See:
    hcap.checkout.takeCheckoutSnapshot()
- <static> hcap.checkout.takeCheckoutSnapshot(param)
  Stores checkout snapshot items. The checkout snapshot items are system(or TV model)-dependent.

      hcap.checkout.takeCheckoutSnapshot({
           "onSuccess" : function() {
               console.log("onSuccess");
           },
           "onFailure" : function(f) {
               console.log("onFailure : errorMessage = " + f.errorMessage);
           }
      });

  Parameters:
  {Object} param
    - {Function} param.onSuccess [Optional] - success callback function.

            param.onSuccess = function() {
                // No Parameter.
            }

    - {Function} param.onFailure [Optional] - failure callback function.

            param.onFailure = function (param) {
                // {String} param.errorMessage - in case of failure, this message provides the details.
            }

  Since:
    1.19.0
  See:
    hcap.checkout.requestCheckout()